Page MenuHomePhabricator

Change "continue" button for credit card logos, suppress logos from within iframe
Closed, ResolvedPublic2 Story Points

Description

As discussed in this deck: https://docs.google.com/presentation/d/1Lbr_WmYxlyDDUfP-O0HRkxPF37AEB65S8zllIXtHjgE/edit#slide=id.p

We should swap our "continue" button for the credit card logos (same as GC form) and then hide the "we accept" and logos from the iFrame to reduce confusion.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : mastergather payment_submethod, show radio buttons

Event Timeline

atgo raised the priority of this task from to High.
atgo updated the task description. (Show Details)
atgo added a project: Fundraising-Backlog.
atgo added a subscriber: MeganHernandez_WMF.
DStrine set Security to None.Sep 22 2015, 5:17 PM
DStrine edited a custom field.

Hey @Ppena can you let us know which logos we should be displaying and in which order? My guess:

  • CB
  • Visa
  • Mastercard
  • Amex

??

Ppena added a comment.Sep 24 2015, 1:21 AM

yes that is correct! Thanks!

atgo added a comment.EditedSep 24 2015, 1:35 AM

Here's a link for the CB file - this (and the rest) should be hosted already for the old form
https://www.paypalobjects.com/fr_FR/FR/i/logo/logo_ccCB_37wx23h.gif

@cwdent should this be "doing"?

Change 240699 had a related patch set uploaded (by Ejegg):
gather payment_submethod, show radio buttons

https://gerrit.wikimedia.org/r/240699

Change 240699 merged by jenkins-bot:
gather payment_submethod, show radio buttons

https://gerrit.wikimedia.org/r/240699

hey @cwdent looking at the form. Could we order the logos (from left to right) CB, Visa, Mastercard, Amex? Thanks!

cwdent closed this task as Resolved.Sep 25 2015, 4:54 PM
cwdent claimed this task.

deployed